DevelopersAPIReferencecryptoTransactions
Search
Enriched crypto transactions matchable as a transfer counterpart: date window, include/exclude assets, the no-counter-link + transfer/uncategorized…
Authorization
bearerAuth Authorization<token>
A Walletguide API key (wg_…) or an OAuth bearer token. Paste the value only. Create a key under Wallet settings → API keys.
In: header
Path Parameters
walletId*string
Row uuid
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/wallets/497f6eca-6276-4993-bfeb-53cbbbba6f08/cryptoTransactions/search" \ -H "Content-Type: application/json" \ -d '{}'{ "items": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "walletId": "0ecad4a2-3549-43fb-807e-9ff033247480", "firestoreId": "string", "assetId": "9179b887-04ef-4ce5-ab3a-b5bbd39ea3c8", "date": "string", "type": "initialBalance", "cryptoCurrency": "BTC", "quantity": -140737488355328, "priceValue": "string", "priceCurrency": "EUR", "feesValue": "string", "feesCurrency": "EUR", "taxValue": "string", "taxCurrency": "EUR", "categoryId": "337f5e5d-288b-40d5-be14-901cc3acacc0", "notes": "string", "transferCounterType": "transaction", "transferCounterId": "bfd53a44-3603-4023-978c-daf5f740c5fd", "createdTime": "2019-08-24T14:15:22Z", "createdUserId": "string", "lastUpdatedTime": "2019-08-24T14:15:22Z", "lastUpdatedUserId": "string", "assetName": "string", "assetType": "string", "assetDefaultCurrency": "string", "categoryName": "string", "categoryEmoji": "string", "categorySystemKey": "string", "isTransfer": true, "totalPriceValue": 0, "totalPriceCurrency": "string", "matchAmountValue": 0, "matchAmountCurrency": "string" } ], "totalCount": 0}